<?php

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2016 Andre Wuttig <wuttig@portrino.de>, portrino GmbH
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

namespace Portrino\PxSemantic\SchemaOrg;

/**
 * A technical article - Example: How-to (task) topics, step-by-step, procedural troubleshooting, specifications, etc.
 *
 * @see http://schema.org/TechArticle Documentation on Schema.org
 *
 * @author Andre Wuttig<wuttig@portrino.de>
 */
class TechArticle extends Article
{

    /**
     * @var int
     */
    private $id;

    /**
     * @var string Prerequisites needed to fulfill steps in article
     */
    private $dependencies;

    /**
     * @var string Proficiency needed for this content; expected values: 'Beginner', 'Expert'
     */
    private $proficiencyLevel;

    /**
     * Sets id.
     *
     * @param int $id
     *
     * @return $this
     */
    public function setId($id)
    {
        $this->id = $id;

        return $this;
    }

    /**
     * Gets id.
     *
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Sets dependencies.
     *
     * @param string $dependencies
     *
     * @return $this
     */
    public function setDependencies($dependencies)
    {
        $this->dependencies = $dependencies;

        return $this;
    }

    /**
     * Gets dependencies.
     *
     * @return string
     */
    public function getDependencies()
    {
        return $this->dependencies;
    }

    /**
     * Sets proficiencyLevel.
     *
     * @param string $proficiencyLevel
     *
     * @return $this
     */
    public function setProficiencyLevel($proficiencyLevel)
    {
        $this->proficiencyLevel = $proficiencyLevel;

        return $this;
    }

    /**
     * Gets proficiencyLevel.
     *
     * @return string
     */
    public function getProficiencyLevel()
    {
        return $this->proficiencyLevel;
    }
}
